# -*- encoding: utf-8 -*-
require File.expand_path('../lib/ratr/version', __FILE__)

Gem::Specification.new do |gem|
  gem.authors       = ["Patrick Robertson"]
  gem.email         = ["patricksrobertson@gmail.com"]
  gem.description   = %q{Rotten Tomatoes + imdb rating mashup assignment}
  gem.summary       = %q{coding assignment for a rotten tomatoes + imdb rating mashup}
  gem.homepage      = "https://github.com/patricksrobertson/ratr"
  gem.license       = "MIT"

  gem.executables   = ["ratr"]
  gem.files         = `git ls-files`.split("\n")
  gem.name          = "ratr"
  gem.require_paths = ["lib"]
  gem.version       = Ratr::VERSION

  gem.add_dependency 'faraday', '~> 0.9'
  gem.add_dependency 'faraday_middleware', '~> 0.9'
  gem.add_dependency 'typhoeus', '~> 0.7'

  gem.add_development_dependency 'rspec', '~> 3.1'
  gem.add_development_dependency 'vcr', '~> 2.9'
  gem.add_development_dependency 'webmock', '~> 1.11'
end
