require 'ratr'

describe Ratr::Application do
  let(:application) { Ratr::Application.new }
  let(:expected_result) do
     ["20 Feet from Stardom (2013): 9.1",
     "7th Heaven (1927): 8.9",
     "12 Years a Slave (2013): 8.9",
     "7 Faces of Dr. Lao (1964): 8.4",
     "8 Mile (2002): 6.6"]
  end

  describe '#call', :vcr do
    it 'returns an array of movies scored high to low from the provided CSV' do
      expect(application.call).to eq(expected_result)
    end
  end
end
