require 'ratr'

describe Ratr::AverageCalculator do
  describe '.call' do
    let(:calculator) { Ratr::AverageCalculator.call(scores) }

    context 'empty scores array passed in' do
      let(:scores) { [] }

      it 'returns N/A' do
        expect(calculator.to_s).to eq 'N/A'
      end
    end

    context 'scores passed in' do
      let(:scores) { [6.2, 5.3, 9.4] }
      it 'returns an average rounded to 1 decimal point' do
        expect(calculator.to_s).to eq '7.0'
      end
    end
  end
end
